Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing 't' as a key causes error

From: Philipp Stephani <[email-masked]>
Date: Sun, 13 Dec 2020 14:19:38 +0100

Am Sa., 12. Dez. 2020 um 22:25 Uhr schrieb Dmitry Gutov <[email-masked]>:
>
> On 12.12.2020 16:28, Philipp Stephani wrote:
> >> So this difference in keywords serialization was by design?
> >>
> >> ELISP> (json-serialize '(:a 1 :b 2))
> >> "{\"a\":1,\"b\":2}"
> >> ELISP> (json-serialize '((:a . 1) (:b . 2)))
> >> "{\":a\":1,\":b\":2}"
> > I can't answer that. When I wrote json.c, I had it only support
> > hashtables, and list support is a later addition.
>
> Perhaps we could agree that there _are_ some things that can be fixed in
> json.c's behavior, then?

It doesn't matter what we can agree on, now that json.c is released
into a stable release, we can't change its behavior any more (unless
you're proposing to add new keyword arguments to json-serialize, which
would still be possible).